Subject: bug#61436: Emacs Freezing With Java Files

From: Hank Greenburg <[email-masked]>
Date: Sun, 12 Feb 2023 17:11:22 +0000

Sorry, by blocks I mean the org-mode code blocks that are under the headers "Repos (Elpa and Melpa)" and "Hyperbole" in the init.org file I sent with my first email. I've attached it again here.

Underneath those headers is an org-mode source block, if you go inside of the block and run "org-babel-execute-src-block" then say yes when it asks if you want to run the code. If you do that for Repos and Hyperbole blocks then follow the steps below.

Go to the Java file. Hold CTRL + Up/Down Arrow keys to quickly move through the file.

This works just fine until which-function-mode is activated. After that is activated I can scroll through maybe twice before it freezes.

It almost always happens after hitting the end of the file, and the first jump up after that. Or at least it has happened 4/5 times by doing that. The other time I avoided the end of the file to see if that was the trigger and it still froze.

------- Original Message -------
On Sunday, February 12th, 2023 at 11:05 AM, Eli Zaretskii <[email-masked]> wrote:

> 
> 
> > Date: Sun, 12 Feb 2023 16:52:51 +0000
> 
> > From: Hank Greenburg [email-masked]
> > Cc: [email-masked]
> > 
> > Launch with emacs -Q
> > 
> > org-babel-execute-src-block for the Repos block and Hyperbole. The Hyperbole block won't work unless you do the Repos block first.
> 
> 
> Sorry, I don't understand: what is "the Repos block", and what is the
> "Hyperbole block"? What do I need to do after starting "emacs -Q" to
> reproduce what you describe above? which commands to type?